GNU bug report logs - #32347
gzip cannot be patched

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Marius Bakke <mbakke@HIDDEN>; dated Thu, 2 Aug 2018 11:33:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 32347 <at> debbugs.gnu.org:


Received: (at 32347) by debbugs.gnu.org; 3 Oct 2018 08:01:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 03 04:01:49 2018
Received: from localhost ([127.0.0.1]:34872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g7c6P-0006js-J5
	for submit <at> debbugs.gnu.org; Wed, 03 Oct 2018 04:01:49 -0400
Received: from flashner.co.il ([178.62.234.194]:43760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1g7c6O-0006jf-65
 for 32347 <at> debbugs.gnu.org; Wed, 03 Oct 2018 04:01:48 -0400
Received: from localhost (unknown [141.226.10.13])
 by flashner.co.il (Postfix) with ESMTPSA id 66EE140027;
 Wed,  3 Oct 2018 08:01:42 +0000 (UTC)
Date: Wed, 3 Oct 2018 11:01:41 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#32347: gzip cannot be patched
Message-ID: <20181003080141.GA11380@macbook41>
References: <87muu56m31.fsf@HIDDEN> <20180802115718.GD13776@macbook41>
 <87a7piii22.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="hQiwHBbRI9kgIhsi"
Content-Disposition: inline
In-Reply-To: <87a7piii22.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32347
Cc: Marius Bakke <mbakke@HIDDEN>, 32347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--hQiwHBbRI9kgIhsi
Content-Type: multipart/mixed; boundary="rwEMma7ioTxnRzrJ"
Content-Disposition: inline


--rwEMma7ioTxnRzrJ
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sun, Aug 19, 2018 at 03:48:05PM +0200, Ludovic Court=C3=A8s wrote:
> Hello,
>=20
> Efraim Flashner <efraim@HIDDEN> skribis:
>=20
> > On Thu, Aug 02, 2018 at 01:32:02PM +0200, Marius Bakke wrote:
> >> Hello!
> >>=20
> >> I'm trying to add a patch to 'gzip', but it causes an infinite loop and
> >> eventually the system runs out of memory.
> >>=20
> >> It can be reproduced by adding this hunk:
> >>=20
> >
> >> modified   gnu/packages/compression.scm
> >> @@ -215,6 +215,7 @@ adding and extracting files to/from a tar archive.=
")
> >>              (method url-fetch)
> >>              (uri (string-append "mirror://gnu/gzip/gzip-"
> >>                                  version ".tar.xz"))
> >> +            (snippet '(#t))
> >>              (sha256
> >>               (base32
> >>                "16h8g4acy7fgfxcjacr3wijjsnixwsfd2jhz3zwdi2qrzi262l5f")=
)))
> >>=20
> >> [back]
> >>=20
> >> I guess this is because gzip itself is a patch input.  Is this somethi=
ng
> >> that can be fixed, or do we have to use "patching phases" in these cas=
es?
> >
> > Its also in commencement.scm, so that might be the loop instead. You
> > could try "unpatching" it there. It looks like it has a pseudo-package
> > inside of glibc-utf8-locales-final, with grep-final a few packages lower
> > being potential inspiration for undoing the modifications in "real
> > gzip".
>=20
> Indeed.  The =E2=80=98bootstrap-origin=E2=80=99 procedure, defined in (gn=
u packages
> bootstrap), arranges to use the bootstrap binaries of gzip, patch,
> guile, etc. when patching origins.
>=20
> Perhaps we=E2=80=99re missing a use of =E2=80=98bootstrap-origin=E2=80=99=
 somewhere in (gnu
> packages commencement)?
>=20

Looks like it in the end. the gzip for glibc-utf8-locales-final uses the
bootstrap guile for its building, but doesn't get the input rewriting
that comes from package-with-bootstrap-guile. With this patch adding the
trivial snippet to gzip doesn't cause an infinite loop anymore. Since
the patch doesn't change the hash of glibc-utf8-locales-final it should
be OK for master.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--rwEMma7ioTxnRzrJ
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0001-gnu-glibc-utf8-locales-final-Wrap-inputs-with-packag.patch"
Content-Transfer-Encoding: quoted-printable

=46rom a3b7f9851e121fd3eb5f52ff4197923553032ec7 Mon Sep 17 00:00:00 2001
=46rom: Efraim Flashner <efraim@HIDDEN>
Date: Wed, 3 Oct 2018 10:33:23 +0300
Subject: [PATCH] gnu: glibc-utf8-locales-final: Wrap inputs with
 'package-with-bootstrap-guile'.

* gnu/packages/commencement.scm (glibc-utf8-locales-final)[inputs]: Wrap
gzip with 'package-with-bootstrap-guile'.
---
 gnu/packages/commencement.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 30a0ffcec..6c0f4e310 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -870,9 +870,10 @@ exec ~a/bin/~a-~a -B~a/lib -Wl,-dynamic-linker -Wl,~a/=
~a \"$@\"~%"
     (inherit glibc-utf8-locales)
     (inputs `(("glibc" ,glibc-final)
               ("gzip"
-               ,(package-with-explicit-inputs gzip %boot4-inputs
-                                              (current-source-location)
-                                              #:guile %bootstrap-guile))))=
))
+               ,(package-with-bootstrap-guile
+                  (package-with-explicit-inputs gzip %boot4-inputs
+                                                (current-source-location)
+                                                #:guile %bootstrap-guile))=
)))))
=20
 (define-public ld-wrapper
   ;; The final 'ld' wrapper, which uses the final Guile and Binutils.
--=20
2.19.0


--rwEMma7ioTxnRzrJ--

--hQiwHBbRI9kgIhsi
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAlu0d2EACgkQQarn3Mo9
g1GO8xAAp2dxPPLrPUbNO9PnbZ8qFU5QWLF3V3kezAxVxcfPXkcbPGdZmC0nlqZg
rbWU2vSh/aP/EAAHujCbUdQuMSsIio438Mc82BV0xpm2pirxSxz+p434GYRO6ojn
BE75XIKYcnxMFQZbjYMgNwSgtvoqYdoPVOu9iZtXMIpZmMtImQu3672hmc4aXp8f
MJedD306XmWww9P1+hi3OHWunJoUkgpSJkplazCLKNxMWXsp93068/1lF19jTafA
xUAfn5VNn3xvnRAtIVqm8tP7uUqnd2fiZssnlzhZuAKviXJtVregYjB6eM097xK4
MbccIxFqEjFwC97mpyXS3mRYIQA7umvZQMz++CmSaV23Jli0li0A2sQ7H8WrEHv7
QJY7jtBmdt+MwrBoUEWZR3lT34/LlEjP/u1kSv35QoKffnW6Abk/daxfwUuxh5Bx
g5qY4kHIx57mkLhWrlUBC+DvFYAx+wwutP4G+H/q+of9CwMOi3Kx2cgjO2UNyK0S
b0++9G0KNy0/q9FkXTJcMtU0jVpZIkUascLFs8RKiXuevrVjcnGsb6CNT8BbREyw
4Os3Jase7yoqJpwbNmUrfb5nsutDgC4pXqE6drWGWQFYpX9AxMET9H4IrQobz1Wu
fW8+mz73deUB442JxfbMyXx1jstFCHFtsLpgOK53p7i1/WKoixE=
=JGhu
-----END PGP SIGNATURE-----

--hQiwHBbRI9kgIhsi--




Information forwarded to bug-guix@HIDDEN:
bug#32347; Package guix. Full text available.

Message received at 32347 <at> debbugs.gnu.org:


Received: (at 32347) by debbugs.gnu.org; 19 Aug 2018 13:48:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 19 09:48:15 2018
Received: from localhost ([127.0.0.1]:54479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1frO3z-0007fY-0n
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2018 09:48:15 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47374)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1frO3x-0007fK-Ht
 for 32347 <at> debbugs.gnu.org; Sun, 19 Aug 2018 09:48:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1frO3r-0003Tw-RB
 for 32347 <at> debbugs.gnu.org; Sun, 19 Aug 2018 09:48:08 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50043)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1frO3r-0003Tq-KC; Sun, 19 Aug 2018 09:48:07 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=50660 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1frO3r-0003fY-CY; Sun, 19 Aug 2018 09:48:07 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: bug#32347: gzip cannot be patched
References: <87muu56m31.fsf@HIDDEN> <20180802115718.GD13776@macbook41>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 2 Fructidor an 226 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 19 Aug 2018 15:48:05 +0200
In-Reply-To: <20180802115718.GD13776@macbook41> (Efraim Flashner's message of
 "Thu, 2 Aug 2018 14:57:18 +0300")
Message-ID: <87a7piii22.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32347
Cc: Marius Bakke <mbakke@HIDDEN>, 32347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello,

Efraim Flashner <efraim@HIDDEN> skribis:

> On Thu, Aug 02, 2018 at 01:32:02PM +0200, Marius Bakke wrote:
>> Hello!
>>=20
>> I'm trying to add a patch to 'gzip', but it causes an infinite loop and
>> eventually the system runs out of memory.
>>=20
>> It can be reproduced by adding this hunk:
>>=20
>
>> modified   gnu/packages/compression.scm
>> @@ -215,6 +215,7 @@ adding and extracting files to/from a tar archive.")
>>              (method url-fetch)
>>              (uri (string-append "mirror://gnu/gzip/gzip-"
>>                                  version ".tar.xz"))
>> +            (snippet '(#t))
>>              (sha256
>>               (base32
>>                "16h8g4acy7fgfxcjacr3wijjsnixwsfd2jhz3zwdi2qrzi262l5f"))))
>>=20
>> [back]
>>=20
>> I guess this is because gzip itself is a patch input.  Is this something
>> that can be fixed, or do we have to use "patching phases" in these cases?
>
> Its also in commencement.scm, so that might be the loop instead. You
> could try "unpatching" it there. It looks like it has a pseudo-package
> inside of glibc-utf8-locales-final, with grep-final a few packages lower
> being potential inspiration for undoing the modifications in "real
> gzip".

Indeed.  The =E2=80=98bootstrap-origin=E2=80=99 procedure, defined in (gnu =
packages
bootstrap), arranges to use the bootstrap binaries of gzip, patch,
guile, etc. when patching origins.

Perhaps we=E2=80=99re missing a use of =E2=80=98bootstrap-origin=E2=80=99 s=
omewhere in (gnu
packages commencement)?

HTH,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#32347; Package guix. Full text available.

Message received at 32347 <at> debbugs.gnu.org:


Received: (at 32347) by debbugs.gnu.org; 2 Aug 2018 11:57:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 02 07:57:34 2018
Received: from localhost ([127.0.0.1]:38312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1flCEX-0006EK-OA
	for submit <at> debbugs.gnu.org; Thu, 02 Aug 2018 07:57:33 -0400
Received: from flashner.co.il ([178.62.234.194]:54950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1flCET-0006Dz-HG
 for 32347 <at> debbugs.gnu.org; Thu, 02 Aug 2018 07:57:29 -0400
Received: from localhost (unknown [141.226.10.13])
 by flashner.co.il (Postfix) with ESMTPSA id B2DC54030D;
 Thu,  2 Aug 2018 11:57:22 +0000 (UTC)
Date: Thu, 2 Aug 2018 14:57:18 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#32347: gzip cannot be patched
Message-ID: <20180802115718.GD13776@macbook41>
References: <87muu56m31.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="bi5JUZtvcfApsciF"
Content-Disposition: inline
In-Reply-To: <87muu56m31.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32347
Cc: 32347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--bi5JUZtvcfApsciF
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Aug 02, 2018 at 01:32:02PM +0200, Marius Bakke wrote:
> Hello!
>=20
> I'm trying to add a patch to 'gzip', but it causes an infinite loop and
> eventually the system runs out of memory.
>=20
> It can be reproduced by adding this hunk:
>=20

> modified   gnu/packages/compression.scm
> @@ -215,6 +215,7 @@ adding and extracting files to/from a tar archive.")
>              (method url-fetch)
>              (uri (string-append "mirror://gnu/gzip/gzip-"
>                                  version ".tar.xz"))
> +            (snippet '(#t))
>              (sha256
>               (base32
>                "16h8g4acy7fgfxcjacr3wijjsnixwsfd2jhz3zwdi2qrzi262l5f"))))
>=20
> [back]
>=20
> I guess this is because gzip itself is a patch input.  Is this something
> that can be fixed, or do we have to use "patching phases" in these cases?

Its also in commencement.scm, so that might be the loop instead. You
could try "unpatching" it there. It looks like it has a pseudo-package
inside of glibc-utf8-locales-final, with grep-final a few packages lower
being potential inspiration for undoing the modifications in "real
gzip".


--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--bi5JUZtvcfApsciF
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAlti8ZkACgkQQarn3Mo9
g1FoMBAAvYb0JVu/OtB6h/q+z5MBM0/mCVPt/5g99cVyLypygB0Dv8evlCAc1E5c
Dsmkco/hoUiA/qYXmEEDB+td5IL6pfd8RVtMca3AyN1aPv6LLBjQoG80V4+dz359
BDNeGNrhgCVwfHi/zCkZVUg+YSb4XVPtA2kJrhkizVqPbXgVCIAOo976jspzj6cK
fO8Ox2uHJpGsevp3GPpf64nGNw/Ps4Jv/0KJYlN2W6lIZ7QI46MSphSHOHfePPa8
pbbESvYXK9fjY80OE7lkCw3Dj5oGx7gQfcmCNl14kqWx1xnWwZmCwh//7KY5rBR+
3SzcR41hKObpfMhZ+u6j0UMbxGm5vU7sTTRibt1zDr56migixtR7p72TTgoqRLtN
2zKP3V/WwurxfhcW/Ftib9z8IQP1mZ249nJkwLLgxFCFxSGkC0yxXwlLkmuLqNtE
t6SsLpltf60ELdimvDqT+oZ4maHfHN6EIx8oRtS6eZ5eqyfEFlvI6q3B8x9ySLnE
/cL7kYIzNyhw8oVxnYndqdIEza1eTPoibiG3gqXLe3IthVGA8H9q11LegGKMcqkY
YXAAS8staqk7wTeCFSGOLk/s4rlEn/6cbi4ewKZEqJzjAeWgGjt1M6CXaMvdGMti
LZI81XAkMu4QLt0pt7+h0CEqMPc1rC6qijUHqbci3/NKRgw99jQ=
=jNMn
-----END PGP SIGNATURE-----

--bi5JUZtvcfApsciF--




Information forwarded to bug-guix@HIDDEN:
bug#32347; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Aug 2018 11:32:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 02 07:32:26 2018
Received: from localhost ([127.0.0.1]:38293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1flBqE-0005Yw-Jc
	for submit <at> debbugs.gnu.org; Thu, 02 Aug 2018 07:32:26 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1flBqD-0005UZ-7Y
 for submit <at> debbugs.gnu.org; Thu, 02 Aug 2018 07:32:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mbakke@HIDDEN>) id 1flBq7-000886-5L
 for submit <at> debbugs.gnu.org; Thu, 02 Aug 2018 07:32:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56187)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mbakke@HIDDEN>) id 1flBq7-00087d-0t
 for submit <at> debbugs.gnu.org; Thu, 02 Aug 2018 07:32:19 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44700)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mbakke@HIDDEN>) id 1flBq6-0007MR-1B
 for bug-guix@HIDDEN; Thu, 02 Aug 2018 07:32:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mbakke@HIDDEN>) id 1flBq1-000823-4B
 for bug-guix@HIDDEN; Thu, 02 Aug 2018 07:32:18 -0400
Received: from wout1-smtp.messagingengine.com ([64.147.123.24]:42135)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mbakke@HIDDEN>) id 1flBq0-0007yd-L0
 for bug-guix@HIDDEN; Thu, 02 Aug 2018 07:32:13 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id A8FD02E2
 for <bug-guix@HIDDEN>; Thu,  2 Aug 2018 07:32:09 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Thu, 02 Aug 2018 07:32:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 content-type:date:from:message-id:mime-version:subject:to
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=eHUFmlS6ruqk9Ix3z
 KOyQPRYiLLiGeCyb4InrDb5wgA=; b=NxVpSnyJaHV2YLBBU2bHKRU/8JNndvGS1
 1xyRHWnQxZRBgp+fXHXM7r40Mz+3/exCutNqCDE2HBfKOZYDdYHwobGJCLJ2IoPX
 9kms9uFeGLneoT9QItVenEecPyPvYdWnwEeWXobh1TsHjQlJ6ouLzc4k/GW0Ky+7
 ddN3GdcqmK88FAZeJHZdM97DnFOXRbwlWlRtxdpraArkwpLGzSr7pIbooPsacmPP
 nLaVULUs245sDNi/0qS9fJdzGqskP0CIfSZZEX/HUIXAvEwFET2B8ctXxPt0916q
 FUsHvqcvbVKhCfxA62uvOJKH/7Uad61XtfrHI6J6PFviYMogUabZw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm3; bh=eHUFmlS6ruqk9Ix3zKOyQPRYiLLiGeCyb4InrDb5wgA=; b=sO2KM26G
 gUIrpjt4E1O3esg+TH8hF4O+iKEOAXwwySqJqUvr+WFIiv8gYoF97meb3Ai4GJYT
 NJOgGNfCghws29t3Wfk9wLvQPXZ9wxJBOoV1AUNpBBJlcntl/NmOMGCyfQYVRo5q
 bJWmbtiy/iHy6HgUQIfnPsLxfVg7arYIXm1sEOb/C/1JkUEKJA5rwXdd/eHuLP4f
 /zE1/R7oOpLOfdUbselygwvPX7TABGxrCBJ+W3ElP652jHTosgLtD+VKCwjMSSl3
 iFaf1ctptldK9lUXTP/uRwh5DbeoiKmeoFWmL0fTLBUdDvebYpKr53xUaDBi0wfp
 KD+fsZGgcFdnYA==
X-ME-Proxy: <xmx:uetiW7foNHJUwKFcnI-AXFxp762LCth6hltCoTYX4Pa1YbmH1_ASSw>
 <xmx:uetiW_qQwLYsWQbDb2MteNY_WkY1HBAMAdRk4wsLr91QfmCkFfUTXw>
 <xmx:uetiW7rdIkRDZJjyRzwQxvt9b4k1UNl5e6FAcr1GHQk_t0YLTVIH0A>
 <xmx:uetiWwg5wLt9hotU_wbTXidI7mhocmEop8Yt79qwsLKp_5eACppZbg>
 <xmx:uetiW7GUWUnwaacV-J_jnz9yPuPPFojlYz1wWawPTA6jP_RzlH2_Uw>
 <xmx:uetiW4ctw8uWW_iNmhr1AwwhLfkds5tser95vBhXVB6loFkJkR2fKQ>
X-ME-Sender: <xms:uetiW4gHkrL0yQO0uIh0jnh17uRXylzstHKE4kumvsGx4UyurVoP_A>
Received: from localhost (95.92-221-151.customer.lyse.net [92.221.151.95])
 by mail.messagingengine.com (Postfix) with ESMTPA id A6FF710261
 for <bug-guix@HIDDEN>; Thu,  2 Aug 2018 07:32:08 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: bug-guix@HIDDEN
Subject: gzip cannot be patched
User-Agent: Notmuch/0.27 (https://notmuchmail.org) Emacs/26.1
 (x86_64-pc-linux-gnu)
Date: Thu, 02 Aug 2018 13:32:02 +0200
Message-ID: <87muu56m31.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain

Hello!

I'm trying to add a patch to 'gzip', but it causes an infinite loop and
eventually the system runs out of memory.

It can be reproduced by adding this hunk:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

modified   gnu/packages/compression.scm
@@ -215,6 +215,7 @@ adding and extracting files to/from a tar archive.")
             (method url-fetch)
             (uri (string-append "mirror://gnu/gzip/gzip-"
                                 version ".tar.xz"))
+            (snippet '(#t))
             (sha256
              (base32
               "16h8g4acy7fgfxcjacr3wijjsnixwsfd2jhz3zwdi2qrzi262l5f"))))

[back]
--=-=-=
Content-Type: text/plain


I guess this is because gzip itself is a patch input.  Is this something
that can be fixed, or do we have to use "patching phases" in these cases?

--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAlti67IACgkQoqBt8qM6
VPoZKwf/Z/2deICu/5W43JduiNfJEzz8z0kRQAXZ9atOjCiNOKoFZExRO0XhOmA4
8jQ2rfamykN+RHDyJHGpuQXlPRforvdXiDoiCQDB+n0JZ2aHU0Bk4N47Z0cpjIm1
Y6GHyEzEiF62d9RisvXnZ8r6FYLhacsrbtk10+TzvsxPuMHP1phTZ412GpSj/d5b
tgrINnrrlpd9LzsaG3yA7FpjKUpEhGHtRUX6BvLPLCV7Lnb9wjXHy2cuCVf92xj9
euNkXnTPcnf1tcQM3oX1jnJPRezRvx4fcUfM2d9hXJElCBDv4aaCftUNe56H0CPg
F/8jc/GboWb24oZdpCb8HMSK3j6IKw==
=KX9c
-----END PGP SIGNATURE-----
--==-=-=--




Acknowledgement sent to Marius Bakke <mbakke@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#32347; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.